<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddFeatureGroupTemplateReq StructType
 * @subpackage Structs
 */
class AddFeatureGroupTemplateReq extends APIRequest
{
    /**
     * The featureGroupTemplate
     * @var XFeatureGroupTemplate
     */
    public $featureGroupTemplate;
    /**
     * Constructor method for AddFeatureGroupTemplateReq
     * @uses AddFeatureGroupTemplateReq::setFeatureGroupTemplate()
     * @param XFeatureGroupTemplate $featureGroupTemplate
     */
    public function __construct(XFeatureGroupTemplate $featureGroupTemplate = null)
    {
        $this
            ->setFeatureGroupTemplate($featureGroupTemplate);
    }
    /**
     * Get featureGroupTemplate value
     * @return XFeatureGroupTemplate|null
     */
    public function getFeatureGroupTemplate()
    {
        return $this->featureGroupTemplate;
    }
    /**
     * Set featureGroupTemplate value
     * @param XFeatureGroupTemplate $featureGroupTemplate
     * @return AddFeatureGroupTemplateReq
     */
    public function setFeatureGroupTemplate(XFeatureGroupTemplate $featureGroupTemplate = null)
    {
        $this->featureGroupTemplate = $featureGroupTemplate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddFeatureGroupTemplateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
